class Management::ScoresController < ManagementController

  before_action :set_score, only: [:update, :show]


  def index
    @scores = Score.includes(:score_user_categories).all
    @users_categories = UserCategory.order(:reference)
  end

  def show
    respond_to do |format|
      format.html
      format.json {render :json => @score}
    end
  end

  def edit
  end

  respond_to :html, :json
  def update

    @score.update_attributes(score_params)
    respond_with @score
  end



  private

  def set_score
    @score = Score.find params[:id]
  end

  def score_params
    params.require(:score).permit(:name,:weight,:active, score_user_categories: [])
  end

  def score_user_categories_params
    params.require(:score_user_categories).permit(:value)
  end

end
